Close Dispute
curl --request POST \
--url https://api.withflex.com/v1/disputes/{dispute_id}/close \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/disputes/{dispute_id}/close"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/disputes/{dispute_id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dispute": {
"dispute_id": "fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"currency": "usd",
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z",
"status": "lost",
"reason": "bank_cannot_process",
"is_charge_refundable": false,
"evidence": {},
"evidence_details": {},
"balance_transactions": [
{}
],
"payment_method_details": {},
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Close Dispute
Closes a dispute, accepting it as lost and forfeiting the disputed funds.
Use this when you do not wish to contest the dispute. Closing is irreversible: it forfeits the disputed amount and the dispute fee, and no further evidence can be submitted. The dispute must be in a needs_response or warning_needs_response status.
POST
/
v1
/
disputes
/
{dispute_id}
/
close
Close Dispute
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Response
An envelope wrapping a single dispute object.
An envelope wrapping a single dispute object.
The dispute.
Show child attributes
Show child attributes
Example:
{
"dispute_id": "fdp_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"payment_intent_id": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"checkout_session_id": "fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"currency": "usd",
"charge_id": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z",
"status": "lost",
"reason": "bank_cannot_process",
"is_charge_refundable": false,
"evidence": {
"access_activity_log": "string",
"customer_name": "string",
"customer_email_address": "string",
"customer_purchase_ip": "string",
"billing_address": "string",
"shipping_address": "string",
"shipping_tracking_number": "string",
"shipping_carrier": "string",
"shipping_date": "string",
"service_date": "string",
"product_description": "string",
"refund_policy_disclosure": "string",
"refund_refusal_explanation": "string",
"cancellation_policy_disclosure": "string",
"cancellation_rebuttal": "string",
"duplicate_charge_explanation": "string",
"duplicate_charge_id": "string",
"uncategorized_text": "string"
},
"evidence_details": {
"due_by": "2026-06-15T14:30:00Z",
"has_evidence": false,
"past_due": false,
"submission_count": 3
},
"balance_transactions": [
{
"balance_transaction_id": "fbtxn_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount": 2500,
"fee": 2500,
"net": 2500,
"status": "available",
"type": "string",
"reporting_category": "example_value",
"category": "example_value",
"created_at": "2026-06-15T14:30:00Z"
}
],
"payment_method_details": { "type": "string" },
"test_mode": false,
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
⌘I